Loading...
Searching...
No Matches
system_info_probe.c File Reference

system_info probe More...

`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <debug_priv.h>`
`#include <sys/utsname.h>`
`#include <unistd.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include "system_info_probe.h"`
`#include "oscap_helpers.h"`
Include dependency graph for system_info_probe.c:

## Macros

#define | _REGEX_RES_VECSIZE 12
#define | MAX_BUFFER_SIZE 4096
#define | HOST_NAME_MAX _POSIX_HOST_NAME_MAX

## Functions

int | system_info_probe_offline_mode_supported ()
int | system_info_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

system_info probe

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m